From a75a2ac80687dfab33bfbe425bbae761068f91e2 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Thu, 21 Mar 2024 21:36:54 +0900
Subject: [PATCH v78 2/6] Fix an inconsistent function prototype with the
 function definition.

Reviewed-by:
Discussion: https://postgr.es/m/
Backpatch-through:
---
 src/include/access/tidstore.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/access/tidstore.h b/src/include/access/tidstore.h
index 8cf4e94f12..95d4f8f9ee 100644
--- a/src/include/access/tidstore.h
+++ b/src/include/access/tidstore.h
@@ -31,7 +31,7 @@ typedef struct TidStoreIterResult
 
 extern TidStore *TidStoreCreate(size_t max_bytes, dsa_area *dsa,
 								int tranche_id);
-extern TidStore *TidStoreAttach(dsa_area *dsa, dsa_pointer rt_dp);
+extern TidStore *TidStoreAttach(dsa_area *dsa, dsa_pointer handle);
 extern void TidStoreDetach(TidStore *ts);
 extern void TidStoreLockExclusive(TidStore *ts);
 extern void TidStoreLockShare(TidStore *ts);
-- 
2.39.3

